package com.ruoyi.demo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.PlanItem;
import com.ruoyi.demo.entity.bo.EquipmentBo;
import com.ruoyi.demo.entity.bo.PlanItemBo;
import com.ruoyi.demo.entity.vo.EquipmentVo;
import com.ruoyi.demo.entity.vo.PlanItemVo;

import java.util.HashMap;
import java.util.List;

public interface EquipmentService {
    Integer addEquipment(EquipmentVo equipmentVo);

    R updateEquipment(EquipmentVo equipmentVo);

    EquipmentBo getEquipment(String equipmentId);

    String deleteEquipment(String[] equipmentIds);

    Page<Equipment> getEquipmentBySelect(EquipmentVo equipmentVo);

    void addStoreEquipment(EquipmentVo equipmentVo);

    Page<Equipment> getEquipmentByStoreId(EquipmentVo equipmentVo);

    IPage<PlanItemBo> getEquipmentPlanList(EquipmentVo equipmentVo);

    void updateEquipmentPlan(PlanItemVo planItemVo);

    HashMap getEquipmentCount();

    HashMap getEquipmentList(EquipmentVo equipmentVo);

    void deleteStoreEquipment(String[] equipmentIds);

    void deleteEquipmentPlan(String[] planItemIds);
}
